Anonymous Login
2021-09-20 07:18 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000327v1.1 Release (Closed)[All Projects] Generalpublic2010-01-19 12:40
Reporteravallee 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionunable to reproduce 
Product Version1.1 
Target VersionFixed in Version 
Summary0000327: error message when creating tasks in a project
DescriptionWe got this error below when inserting a new task in a project.
However, the task appears to be created despite this message.

ERROR: /home/pollenlpd/www/web2project/classes/query.class.php(1145) : query failed(INSERT INTO `task_departments`(`task_id`,`department_id`) VALUES ('209','0')) - error was: Duplicate entry '209-0' for key 1
Backtrace:
0 /home/pollenlpd/www/web2project/classes/query.class.php:1145 dprint('/home/pollenlpd/www/web2project/classes/query.class.php',1145,0,'query failed(INSERT INTO `task_departments`(`task_id`,`department_id`) VALUES (\'209\',\'0\')) - error was: Duplicate entry \'209-0\' for key 1')
1 /home/pollenlpd/www/web2project/modules/tasks/tasks.class.php:631 exec()
2 /home/pollenlpd/www/web2project/modules/tasks/tasks.class.php:446 store()
3 /home/pollenlpd/www/web2project/modules/projects/projects.class.php:294 copy(85)
4 /home/pollenlpd/www/web2project/modules/projects/do_project_aed.php:102 importTasks('5')
5 /home/pollenlpd/www/web2project/index.php:261 require('/home/pollenlpd/www/web2project/modules/projects/do_project_aed.php')


Warning: Cannot modify header information - headers already sent by (output started at /home/pollenlpd/www/web2project/includes/main_functions.php:880) in /home/pollenlpd/www/web2project/classes/ui.class.php on line 555

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000636

caseydk (administrator)

You're sure this is on v1.1?

~0000638

avallee (reporter)

yep, i'm sure.
web2Project 1.1.0
PHP version nr: 5.2.5-pl1-gentoo
DB provider and version nr: mysql 5.0.44 (5.0.44)
DB Table Prefix: ""
Web Server: Apache/2.0.59 (Unix) mod_ssl/2.0.59 OpenSSL/0.9.8g
Server Protocol | Gateway Interface: HTTP/1.1 | CGI/1.1
Client Browser: Mozilla/5.0 (Windows; U; Windows NT 5.0; fr; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5
URL Query: m=projects&tab=6
File Version Id: index.php 501 2009-07-09 04:41:41Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/index.php

Server Time | Timezone: Wed, 09 Dec 2009 14:48:35 | CET
PHP Max. Execution Time: 30 seconds
Memory Limit: 64 Mb

~0000639

caseydk (administrator)

I haven't been able to reproduce this one at all in v1.1... I suspect your data is a bit off.

Is there any chance you'd be willing to pass along a database snapshot to me (privately)? It'd help me track down the problem. Thanks.

~0000667

caseydk (administrator)

Could you try upgrading to v1.2 and see what happens?

Thanks.

~0000736

caseydk (administrator)

Closed.
30 days without an update.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-08 06:57 avallee New Issue
2009-12-08 08:49 caseydk Note Added: 0000636
2009-12-09 04:45 avallee Note Added: 0000638
2009-12-09 06:11 caseydk Note Added: 0000639
2009-12-17 22:11 caseydk Note Added: 0000667
2009-12-19 17:22 caseydk Project v1.1 Release (Closed) => v1.3 Release (Closed)
2009-12-19 17:23 caseydk Project v1.3 Release (Closed) => v1.1 Release (Closed)
2010-01-19 12:40 caseydk Note Added: 0000736
2010-01-19 12:40 caseydk Status new => closed
2010-01-19 12:40 caseydk Resolution open => unable to reproduce
+Issue History